## qsampler 0.2.2

=== debian/changelog ===
qsampler (0.2.2-5) unstable; urgency=low

  * Upload to unstable.

 -- Alessio Treglia <alessio@debian.org>  Wed, 09 Feb 2011 21:28:31 +0100

qsampler (0.2.2-4) experimental; urgency=low

  * Add -lX11 to $LIBS to fix FTBFS with binutils-gold.

 -- Alessio Treglia <alessio@debian.org>  Fri, 26 Nov 2010 11:19:24 +0100

qsampler (0.2.2-3) experimental; urgency=low

  * Upload to experimental to build against new liblscp.

 -- Alessio Treglia <alessio@debian.org>  Thu, 04 Nov 2010 14:55:10 +0100

qsampler (0.2.2-2) unstable; urgency=low

  * Adjust versioned build-dependencies to ease backporter's life.
  * Suggests linuxsampler (LP: #36326).
  * Update my email address.
  * Update Standards-Version to 3.9.1.
  * Switch to format 3.0 (quilt):
    - debian/control: Drop quilt build-dependency.
    - debian/rules:
      + Drop DH's quilt add-on.
      + get-orig-source is no longer needed.
      + A bit of cleanup.
    - debian/source/format: Set 3.0 (quilt).
  * Add gbp.conf file.
  * Add .gitignore file.
  * Update debian/copyright.

 -- Alessio Treglia <alessio@debian.org>  Thu, 05 Aug 2010 13:08:31 +0200

qsampler (0.2.2-1) unstable; urgency=low

  * New upstream release.
  * Repack the tarball to remove upstream's debian dir:
    - debian/rules: Use the get-orig-source target to retrieve an updated
      tarball.
    - Remove debian/README.Debian, we don't follow those instructions to make
      the package.
  * Switch to debhelper 7.
  * Replace dpatch system with quilt.
  * Remove all old patches, now unnecessary.
  * debian/patches/01-fix_desktop.patch:
    - Fix desktop file as per spec.
  * debian/patches/02-pass_flags_to_make.patch:
    - Pass CFLAGS/CXXFLAGS to the compiler.
  * Add debian/menu file.
  * Also install 32x32px icon (in XPM format).
  * debian/control:
    - Bump Standards.
    - Set Debian Multimedia Maintainers as Maintainer.
    - Add myself to Uploaders.
    - Replace versioned automake build-dependency with automake.
    - Build-depend on libx11-dev.
  * debian/copyright:
    - Update copyiright periods.
    - Add a comment about the tarball repacking.
  * Remove debian/qsampler.desktop, unnecessary.
  * debian/docs: Don't install the AUTHORS file, information provided by the
    copyright file are enough.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 10 Dec 2009 21:07:40 +0100

qsampler (0.2.1-1) unstable; urgency=low

  * New upstream release
  * Uploaded to Debian (Closes: #280576)

 -- Free Ekanayaka <freee@debian.org>  Thu, 28 Aug 2008 08:43:21 +0100

qsampler (0.1.2-0ubuntu3) hardy; urgency=low

  * Rebuild for liblscp -> liblscp2 transition.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Fri, 07 Dec 2007 00:33:11 +0100

qsampler (0.1.2-0ubuntu2) gutsy; urgency=low

  * Rebuild for libgig3c2 -> libgig6 library transistion.

 -- Steve Kowalik <stevenk@ubuntu.com>  Fri, 17 Aug 2007 01:28:39 +1000

qsampler (0.1.2-0ubuntu1) dapper; urgency=low

  * Release for Dapper.

 -- Dana Olson <dana@ubuntustudio.com>  Tue, 21 Feb 2006 06:37:25 -0500

qsampler (0.1.1-1) unstable; urgency=low

  * New Release.

 -- Christian Schoenebeck <cuse@users.sourceforge.net>  Sun, 12 Jun 2005 16:53:50 +0200

qsampler (0.1.cvs20050602-1) unstable; urgency=low

  * Released (Closes: #280576)

 -- Matt Flax <flatmax@pgb.unsw.edu.au>  Fri,  3 Jun 2005 15:27:44 +1000

qsampler (0.1.0-1) unstable; urgency=low

  * New Release.

 -- Christian Schoenebeck <cuse@users.sourceforge.net>  Wed, 25 May 2005 04:02:07 +0200

qsampler (0.0.5-1) unstable; urgency=low

  * Initial Release.

 -- Christian Schoenebeck <cuse@users.sourceforge.net>  Mon, 28 Feb 2005 21:20:51 +0100
