=== debian/control ===
Source: qsampler
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Free Ekanayaka <freee@debian.org>,
 Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 liblscp-dev (>= 0.5.6),
 libgig-dev (>= 3.1.0),
 libqt4-dev,
 libtool,
 libx11-dev,
 automake
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/git/pkg-multimedia/qsampler.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/qsampler.git
Homepage: http://qsampler.sf.net/

Package: qsampler
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Suggests: linuxsampler
Description: LinuxSampler GUI frontend based on the Qt toolkit
 QSampler is a LinuxSampler GUI front-end application written in C++ around
 the Qt3 toolkit using Qt Designer. At the moment it just wraps as a client
 reference interface for the LinuxSampler Control Protocol (LSCP).
