=== debian/rules ===
#!/usr/bin/make -f

export QT_CFLAGS := $(CFLAGS)
export QT_CXXFLAGS := $(CXXFLAGS)

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	mv debian/qsampler/usr/share/locale/qsampler_*.qm \
		debian/qsampler/usr/share/qsampler/
	rm -rf debian/qsampler/usr/share/locale/
