=== debian/watch ===
version=3
http://download.linuxsampler.org/packages/qsampler-(.*)\.tar\.gz
