## qsampler 0.3.0

=== debian/changelog ===
qsampler (0.3.0-1) unstable; urgency=medium

  * Imported Upstream version 0.3.0
  * Fix VCS fields.
  * Removed patches - they don't apply anymore.
  * Add desktop patch.
  * Add description to patch.
  * Install upstream desktop file.
  * Update copyright file.
  * Enable parallel build.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 26 Apr 2015 17:30:50 +0200
