=== debian/control ===
--- 
+++ 
@@ -3,17 +3,18 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Free Ekanayaka <freee@debian.org>,
- Alessio Treglia <alessio@debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
+ Alessio Treglia <alessio@debian.org>,
+ Jaromír Mikeš <mira.mikes@seznam.cz>
+Build-Depends: debhelper (>= 9),
  liblscp-dev (>= 0.5.6),
  libgig-dev (>= 3.1.0),
  libqt4-dev,
  libtool,
  libx11-dev,
  automake
-Standards-Version: 3.9.1
-Vcs-Git: git://git.debian.org/git/pkg-multimedia/qsampler.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/qsampler.git
+Standards-Version: 3.9.6
+Vcs-Git: git://anonscm.debian.org/pkg-multimedia/qsampler.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/qsampler.git
 Homepage: http://qsampler.sf.net/
 
 Package: qsampler
