## qsampler 0.3.1

=== debian/changelog ===
qsampler (0.3.1-1) unstable; urgency=medium

  * Imported Upstream version 0.3.1
  * Build with qt5.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 03 Sep 2015 05:49:13 +0200
