=== debian/control ===
--- 
+++ 
@@ -6,9 +6,11 @@
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends: debhelper (>= 9),
+ pkg-config,
+ qtbase5-dev,
+ qttools5-dev-tools,
  liblscp-dev (>= 0.5.6),
  libgig-dev (>= 3.1.0),
- libqt4-dev,
  libtool,
  libx11-dev,
  automake
