=== debian/rules ===
#!/usr/bin/make -f

export QT_CFLAGS := $(CFLAGS)
export QT_CXXFLAGS := $(CXXFLAGS)

export QT_SELECT=qt5

%:
	dh $@ --parallel
