=== debian/watch ===
version=3
http://sf.net/qsampler/qsampler-([\d.]+)\.tar\.gz
