## qsampler 0.4.0

=== debian/changelog ===
qsampler (0.4.0-2) unstable; urgency=medium

  * Add patch to build with gcc6. (Closes: #831111)
  * Build with dh-autoreconf.
  * Tune .gitignore file.
  * Update copyright file.
  * Simplify gbp.conf file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 20 Jul 2016 23:12:43 +0200

qsampler (0.4.0-1) unstable; urgency=medium

  * Imported Upstream version 0.4.0
  * Bump Standards.
  * Fix VCS fields.
  * Add libqt5x11extras5-dev as build-dep.
  * Remove patch - fixed upstream.
  * Remove menu file.
  * Fix hardening.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 17 Jun 2016 10:40:55 +0200
