=== debian/control ===
--- 
+++ 
@@ -6,16 +6,18 @@
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends: debhelper (>= 9),
+ dh-autoreconf,
  pkg-config,
  qtbase5-dev,
  qttools5-dev-tools,
+ libqt5x11extras5-dev,
  liblscp-dev (>= 0.5.6),
  libgig-dev (>= 3.1.0),
  libtool,
  libx11-dev,
  automake
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/qsampler.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/qsampler.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/qsampler.git
 Homepage: http://qsampler.sf.net/
