## qsampler 0.4.2

=== debian/changelog ===
qsampler (0.4.2-2) unstable; urgency=medium

  * Add patch to build reproducible. (Closes: #845007)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 20 Nov 2016 17:17:32 +0100

qsampler (0.4.2-1) unstable; urgency=medium

  * New upstream version 0.4.2
  * Patch refreshed.
  * Set dh/compat 10.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 14 Nov 2016 22:20:17 +0100

qsampler (0.4.1-1) unstable; urgency=medium

  * New upstream version 0.4.1
  * Patch applied upstream.
  * Enable debugging.
  * Drop dirs file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 19 Sep 2016 15:57:06 +0200
