=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Free Ekanayaka <freee@debian.org>,
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
  dh-autoreconf,
  pkg-config,
  qtbase5-dev,
