## qsampler 0.4.3

=== debian/changelog ===
qsampler (0.4.3-1) unstable; urgency=medium

  * Patch forwarded.
  * Drop autoreconf - not needed with compat 10.
  * New upstream version 0.4.3
  * Sign tags.
  * Bump Standards.
  * Revert fix dh version.
  * Update copyright file.
  * Restore .gitignore file.
  * Patch applied upstream - removed.
  * Add override file.
  * Avoid useless linking.
  * Install upstream man pages.
  * Install upstream icons only.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 03 Jul 2017 01:35:42 +0200
