=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Uploaders: Free Ekanayaka <freee@debian.org>,
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
-Build-Depends: debhelper (>= 10),
- dh-autoreconf,
+Build-Depends: debhelper (>= 10~),
  pkg-config,
  qtbase5-dev,
  qttools5-dev-tools,
@@ -16,7 +15,7 @@
  libtool,
  libx11-dev,
  automake
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/qsampler.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/qsampler.git
 Homepage: http://qsampler.sf.net/
