## qsampler 0.5.0

=== debian/changelog ===
qsampler (0.5.0-1build1) bionic; urgency=medium

  * No-change rebuild against latest libgig

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 30 Jan 2018 18:21:26 -0500

qsampler (0.5.0-1) unstable; urgency=medium

  * New upstream version 0.5.0
  * Bump Standards.
  * Vcs - use git instead of cgit.
  * Introduce postclone.sh script to ignore .pc/ dir.
  * Use secure uri where possible.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 14 Dec 2017 21:20:46 +0100
