=== debian/control ===
--- 
+++ 
@@ -15,10 +15,10 @@
  libtool,
  libx11-dev,
  automake
-Standards-Version: 4.0.0
+Standards-Version: 4.1.2
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/qsampler.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/qsampler.git
-Homepage: http://qsampler.sf.net/
+Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/qsampler.git
+Homepage: https://qsampler.sourceforge.io/
 
 Package: qsampler
 Architecture: any
