## qsampler 0.6.1

=== debian/changelog ===
qsampler (0.6.1-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:23:33 +0100

qsampler (0.6.1-1) unstable; urgency=medium

  * Team upload

  [ Olivier Humbert ]
  * Update d/copyright (http -> https)

  [ Dennis Braun ]
  * New upstream release
  * Update d/copyright years

  [ Sebastian Ramacher ]
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 25 Jan 2020 15:01:05 +0100

qsampler (0.5.6-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Sebastian Ramacher ]
  * New upstream release.
    - Use AC_PATH_TOOL (Closes: #914901)
  * debian/control:
    - Bump debhelper compat to 12
    - Bump Standards-Version
  * debian/copyright: Add appdata paragraph.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 11 Sep 2019 20:11:03 +0200
