=== debian/control ===
Source: qsampler
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Free Ekanayaka <freee@debian.org>,
 Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends: debhelper-compat (= 12),
 pkg-config,
 qtbase5-dev,
 qttools5-dev-tools,
 libqt5x11extras5-dev,
 liblscp-dev (>= 0.5.6),
 libgig-dev (>= 3.1.0),
 libtool,
 libx11-dev
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/multimedia-team/qsampler.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/qsampler
Homepage: https://qsampler.sourceforge.io/

Package: qsampler
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Suggests: linuxsampler
Description: LinuxSampler GUI frontend based on the Qt toolkit
 QSampler is a LinuxSampler GUI front-end application written in C++ around
 the Qt3 toolkit using Qt Designer. At the moment it just wraps as a client
 reference interface for the LinuxSampler Control Protocol (LSCP).
