=== debian/watch ===
version=3
https://sf.net/qsampler/qsampler-([\d.]+)\.tar\.gz
