=== debian/changelog ===
qsampler (0.6.3-1) unstable; urgency=medium

  * New upstream version 0.6.3
  * Bump dh-compat to 13
  * Remove obsolete linker flags in d/rules

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 03 Aug 2020 18:42:36 +0200

qsampler (0.6.2-1) unstable; urgency=medium

  [ Dennis Braun ]
  * New upstream version 0.6.2
  * Add d/upstream/metadata
  * Disable debugging
  * Update d/copyright year
  * Add me as uploader
  * Set RRR: no
  * Fix french manpage installation
  * Drop lintian-overrides

  [ Sebastian Ramacher ]
  * debian/: Switch to cmake

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 29 Mar 2020 23:33:00 +0200
