=== debian/control ===
--- 
+++ 
@@ -4,20 +4,25 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Free Ekanayaka <freee@debian.org>,
  Alessio Treglia <alessio@debian.org>,
- Jaromír Mikeš <mira.mikes@seznam.cz>
-Build-Depends: debhelper-compat (= 12),
+ Jaromír Mikeš <mira.mikes@seznam.cz>,
+ Dennis Braun <d_braun@kabelmail.de>
+Build-Depends:
+ cmake,
+ debhelper-compat (= 13),
+ libgig-dev (>= 3.1.0),
+ liblscp-dev (>= 0.5.6),
+ libqt5x11extras5-dev,
+ libtool,
+ libx11-dev,
  pkg-config,
  qtbase5-dev,
- qttools5-dev-tools,
- libqt5x11extras5-dev,
- liblscp-dev (>= 0.5.6),
- libgig-dev (>= 3.1.0),
- libtool,
- libx11-dev
+ qttools5-dev,
+ qttools5-dev-tools
 Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/multimedia-team/qsampler.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/qsampler
 Homepage: https://qsampler.sourceforge.io/
+Rules-Requires-Root: no
 
 Package: qsampler
 Architecture: any
