## qsampler 0.9.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,11 @@
-project(QSAMPLER)
-
-cmake_minimum_required(VERSION 3.1)
-
-set (VERSION "0.6.3")
-
-set (CONFIG_VERSION ${VERSION})
+cmake_minimum_required(VERSION 3.10)
+
+project(qsampler
+  VERSION 0.9.1
+  DESCRIPTION "A LinuxSampler Qt GUI Interface"
+  LANGUAGES C CXX)
+
+set (CONFIG_VERSION ${PROJECT_VERSION})
 execute_process (
   COMMAND git describe --tags --dirty --abbrev=6
   OUTPUT_VARIABLE GIT_DESCRIBE_OUTPUT
@@ -12,8 +13,7 @@
   OUTPUT_STRIP_TRAILING_WHITESPACE)
 if (GIT_DESCRIBE_RESULT EQUAL 0)
   set (VERSION "${GIT_DESCRIBE_OUTPUT}")
-  string (REGEX REPLACE "^[^_]+"   "" VERSION "${VERSION}")
-  string (REGEX REPLACE "^[_vV]+"  "" VERSION "${VERSION}")
+  string (REGEX REPLACE "^[^0-9]+" "" VERSION "${VERSION}")
   string (REGEX REPLACE "-g"   "git." VERSION "${VERSION}")
   string (REGEX REPLACE "[_|-]+"  "." VERSION "${VERSION}")
   execute_process (
@@ -24,6 +24,8 @@
   if (GIT_REVPARSE_RESULT EQUAL 0 AND NOT GIT_REVPARSE_OUTPUT STREQUAL "master")
     set (VERSION "${VERSION} [${GIT_REVPARSE_OUTPUT}]")
   endif ()
+else ()
+  set (VERSION "${PROJECT_VERSION}")
 endif ()
 
 set (PACKAGE_NAME "Qsampler")
@@ -70,13 +72,14 @@
 endif ()
 
 # Check for Qt
-find_package (Qt5 REQUIRED COMPONENTS Core Gui Widgets)
+find_package (QT NAMES Qt6 Qt5 COMPONENTS Core REQUIRED)
+find_package (Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core Gui Widgets)
 
 if (CONFIG_XUNIQUE)
-  find_package (Qt5 REQUIRED COMPONENTS Network)
-endif ()
-
-find_package (Qt5LinguistTools)
+  find_package (Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Network)
+endif ()
+
+find_package (Qt${QT_VERSION_MAJOR}LinguistTools)
 
 include (CheckIncludeFile)
 include (CheckIncludeFiles)
@@ -108,7 +111,7 @@
 find_package (PkgConfig REQUIRED)
 
 # Check for LSCP libraries.
-pkg_check_modules (LSCP REQUIRED lscp)
+pkg_check_modules (LSCP REQUIRED IMPORTED_TARGET lscp)
 if (LSCP_FOUND)
   set (CONFIG_LIBLSCP 1)
   include_directories (${LSCP_INCLUDE_DIRS})
@@ -182,7 +185,7 @@
 
 # Check for GIG libraries.
 if (CONFIG_LIBGIG)
-  pkg_check_modules (GIG gig>=3.3.0)
+  pkg_check_modules (GIG IMPORTED_TARGET gig>=3.3.0)
   if (GIG_FOUND)
     include_directories (${GIG_INCLUDE_DIRS})
     link_directories (${GIG_LIBRARY_DIRS})
