=== debian/changelog ===
qsampler (0.9.5-1) unstable; urgency=medium

  * New upstream version 0.9.5
  * Remove hardening patch, autotools build system have been removed
  * Remove non existing TODO from d/docs
  * Update d/copyright years

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 13 Jan 2022 16:10:37 +0100
