=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  qtbase5-dev,
  qttools5-dev,
  qttools5-dev-tools
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/multimedia-team/qsampler.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/qsampler
 Homepage: https://qsampler.sourceforge.io/
