=== debian/rules ===
--- 
+++ 
@@ -4,4 +4,4 @@
 export QT_SELECT=qt5
 
 %:
-	dh $@ -Scmake
+	dh $@ -Scmake --disable-qt6
